# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-13 21:59
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython

def create_builtin_templates_variables(apps, schema_editor):
    template_model = apps.get_model('customer', 'CommunicationEventType')
    variable_model = apps.get_model('customer', 'CommunicationEventTypeTestVariable')

    comm_event_types = [
        {
            'code': 'PRODUCT_ALERT',
            'variables': [
                {
                    'code': 'is_discountable',
                    'description': 'на товар будет предоставлена скидка'
                },
            ]
        },
    ]

    for comm_event_type in comm_event_types:
        template = template_model.objects.get(code=comm_event_type['code'])
        for variable in comm_event_type['variables']:
            variable_model.objects.create(
                template=template,
                code=variable['code'],
                description=variable['description'],
            )

class Migration(migrations.Migration):

    dependencies = [
        ('customer', '0029_auto_20171017_0102'),
    ]

    operations = [
        RunPython(create_builtin_templates_variables)
    ]
